<template>
  <div class="p-6">
    <div class="flex content-center items-start mb-6">
      <label
        for="file-upload"
        class="custom-file-upload bg-green-400 text-white flex-shrink-0 text-sm"
      >
        <i class="fa fa-cloud-upload"></i> chose a json file
      </label>
      <input
        id="file-upload"
        type="file"
        accept=".json"
        @change="handleFile"
      />
    </div>
    <json-viewer
      v-if="jsonData"
      :value="jsonData"
      boxed
      sort
    />
  </div>
</template>

<script>
import { ref } from "vue";

export default {
  name: "App",
  setup() {
    const jsonData = ref();
    const handleFile = (e) => {
      var fr = new FileReader();
      fr.onload = function () {
        jsonData.value = JSON.parse(fr.result);
      };
      fr.readAsText(e.target.files[0]);
    };
    return {
      jsonData,
      handleFile,
    };
  },
};
</script>

<style>
input[type="file"] {
  display: none;
}
.custom-file-upload {
  border: 1px solid #ccc;
  display: inline-block;
  padding: 6px 12px;
  cursor: pointer;
  border-radius: 5px;
}
</style>
